Gecode::Set::Channel::ChannelBool< View >::IndexAdvisor Class Reference

Advisor storing a single index More...

`#include <channel.hh>`

## Public Member Functions

template<class A>
| IndexAdvisor (Space &home, ChannelBool< View > &p, Council< A > &c, int index)
| Constructor for creation.
| IndexAdvisor (Space &home, IndexAdvisor &a)
| Constructor for cloning a.
int | index (void) const
| Access index.
template<class A>
void | dispose (Space &home, Council< A > &c)
| Delete advisor.
Public Member Functions inherited from Gecode::Advisor
template<class A>
| Advisor (Space &home, Propagator &p, Council< A > &c)
| Constructor for creation.
| Advisor (Space &home, Advisor &a)
| Copying constructor.
const ViewTraceInfo & | operator() (const Space &home) const
| Provide access to view trace information.
template<class A>
void | dispose (Space &home, Council< A > &c)
| Dispose the advisor.

## Protected Attributes

int | idx
| The single index.

## Additional Inherited Members

static void * | operator new (size_t s, Space &home)
| Allocate memory from space.
static void | operator delete (void *p, Space &home)
| No-op for exceptions.
Protected Member Functions inherited from Gecode::Advisor
Propagator & | propagator (void) const
| Return the advisor's propagator.

## Detailed Description

template<class View>
class Gecode::Set::Channel::ChannelBool< View >::IndexAdvisor

Advisor storing a single index

Definition at line 166 of file channel.hh.

## Constructor & Destructor Documentation

## IndexAdvisor() [1/2]

template<class View>
template<class A>

Gecode::Set::Channel::ChannelBool< View >::IndexAdvisor::IndexAdvisor | ( | Space & | home,
|  | ChannelBool< View > & | p,
|  | Council< A > & | c,
|  | int | index )

inline

Constructor for creation.

Definition at line 41 of file bool.hpp.

## IndexAdvisor() [2/2]

template<class View>

Gecode::Set::Channel::ChannelBool< View >::IndexAdvisor::IndexAdvisor | ( | Space & | home,
|  | IndexAdvisor & | a )

inline

Constructor for cloning a.

Definition at line 54 of file bool.hpp.

## Member Function Documentation

## index()

template<class View>

int Gecode::Set::Channel::ChannelBool< View >::IndexAdvisor::index | ( | void |  | ) | const

inline

Access index.

Definition at line 59 of file bool.hpp.

## dispose()

template<class View>
template<class A>

void Gecode::Set::Channel::ChannelBool< View >::IndexAdvisor::dispose | ( | Space & | home,
|  | Council< A > & | c )

inline

Delete advisor.

Definition at line 66 of file bool.hpp.

## Member Data Documentation

## idx

template<class View>

int Gecode::Set::Channel::ChannelBool< View >::IndexAdvisor::idx

protected

The single index.

Definition at line 169 of file channel.hh.

The documentation for this class was generated from the following files:

- gecode/set/channel.hh
- gecode/set/channel/bool.hpp